/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: IEJBLocalRefDesc.java 10513 2007-06-04 13:38:32Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas_lib.deployment.api;

public interface IEJBLocalRefDesc {

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getEjbRefName()
     */
    String getEjbRefName();

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getEjbRefType()
     */
    String getEjbRefType();

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getLocalHome()
     */
    String getLocalHome();

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getLocal()
     */
    String getLocal();

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getEjbLink()
     */
    String getEjbLink();

    /* (non-Javadoc)
     * @see org.objectweb.jonas_lib.deployment.api.EJBLocalRefDesc#getJndiLocalName()
     */
    String getJndiLocalName();

}